Bug 7845 - Multiple 260s don't display properly in search results
Summary: Multiple 260s don't display properly in search results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-29 13:37 UTC by Jared Camins-Esakov
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7845: Multiple 260s don't display properly in search results (8.34 KB, patch)
2012-04-09 15:46 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7845: Multiple 260s don't display properly in search results (8.39 KB, patch)
2012-04-12 08:02 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-03-29 13:37:29 UTC
If you have multiple 260 fields in a record, they are all run together in the search results, so that there is no space between the 260$c in the first field and the 260$a in the second field. They display properly in the details display, with spacing and a semicolon between them.
Comment 1 Katrin Fischer 2012-04-09 15:46:46 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-04-12 08:02:12 UTC
Created attachment 9133 [details] [review]
Bug 7845: Multiple 260s don't display properly in search results

Corrects display for multiple 260 fields in intranet and OPAC.
In intranet the order of fields was wrong on the detail page.
In OPAC and intranet punctuation for multiple 260 fields in the
result list was not displaying properly.

Example after correction:
Publisher: Jena : Elsevier, 1907 ; Stuttgart : Franckh, 1907-1992 ; Jena : Urban & Fischer, 1993-2003

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Ian Walls 2012-04-16 18:20:12 UTC
XSLT only change to 260 processing.  Looks to separate out subfields a and b from multiple subfield processing.  Effects MARC21 only.  Marking as Passed QA.
Comment 4 Paul Poulain 2012-04-19 08:52:57 UTC
I haven't tested this patch myself, but:
* looks OK
* reliable author & signoff
so => patch pushed
Comment 5 Jared Camins-Esakov 2012-05-24 00:59:39 UTC
This will be in 3.6.5.